<!DOCTYPE html>
<html lang="en">
<head>
	
<script type="text/javascript">
	/*aqui lo importante es que se muestra que para los cambios del programador se hacen con la primera función con el primer protocolo
	y la segunda función es para los cambios que dependen de los eventos que haga el cliente*/
</script>
	
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		let celdas=[]; // variable es global
		
		function inicio(){
			
		/* quiero acceder a los td */
		/* querySelector() devuelve un elemento*/
		/* querySelectorAll() devuelve un array*/
		
		celdas=document.querySelectorAll("td");
		celdas[0].innerHTML+=" lo que queramos";
		celdas[1].style.backgroundColor="#CCC";

		}
		
		function cambia(objeto){
			objeto.style.backgroundColor = 'RED';
			objeto.style.color = 'white';

		}
		

	</script>
</head>
<body onload="inicio()">
	<table border="1">
		<tr>
			<td onclick="cambia(this)">1</td>
			<td onclick="cambia(this)">2</td>
			<td onclick="cambia(this)">22</td>
			<td onclick="cambia(this)">3</td>
			<td onclick="cambia(this)">4</td>
			<td onclick="cambia(this)">5</td>
		</tr>
	</table>
</body>
</html>
